$toolTipBackgroundColor: #464a55;
$toolTipWidth: 425px;
$toolTipHeight: 50px;
$toolTipWidthOffset: 100px;
$toolTipButtonBackgroundColor: #f04636;

.create-block-tooltip-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 100px;
    right: 75px;
    padding: 8px 16px;
    width: $toolTipWidth;
    height: $toolTipHeight;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    background-color: $toolTipBackgroundColor;
    z-index: 999999;

    &:after {
        content: '';
        position: absolute;
        right: 0px;
        top: -20px;
        border: 10px solid transparent;
        border-right: 10px solid $toolTipBackgroundColor;
        border-bottom: 10px solid $toolTipBackgroundColor;
    }
    #create-block-tooltip-cancel { display: none; }

    button, input {
        border: none;

        &:focus, &:hover, &:active {
            outline: none !important;
            border: none;
        }
    }
    input {
      width: 100%;
      height: 48px;
      padding: 0 16px 0 16px;
      font-family: $Rubik-Font;
      font-size: 14px;
      font-weight: 400;
    }

    .controls,
    .title-input {
      display: flex;

      button {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        padding: 0 16px 0 0;
        background-color: #e9573f;

        &:focus, &:hover, &:active {
          cursor: pointer;
          background-color: lighten($toolTipButtonBackgroundColor, 10);
        }

        label {
          font-family: $Rubik-Font;
          font-weight: 500;
          font-size: 18px;
          color: #fff;
        }
      }
    }

    .title-input {
      width: 100%;
    }
}

@media (max-width: 864px) {
  .create-block-tooltip-container {
    left: 0;
    height: auto;
    padding: 15px;
    flex-wrap: wrap;
    width: calc(100% - 75px);
    margin: 10px 20px 10px 30px;

    .controls {
      width: 100%;
    }

    &:after {
        display: none;
    }

    input {
        width: 100%;
    }

    button {
        width: 50%;
    }

    #create-block-tooltip-cancel {
        display: block;
    }
  }
}
